Bug 1571932 - Enable darktable noise tools
Summary: Enable darktable noise tools
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: darktable
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Germano Massullo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-25 18:19 UTC by Germano Massullo
Modified: 2019-04-23 17:17 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-23 17:17:32 UTC
Type: Bug


Attachments (Terms of Use)

Description Germano Massullo 2018-04-25 18:19:44 UTC
Personal reminder:
Enable darktable-noisetools in order to let users make noise profiles like in guide
https://pixls.us/articles/how-to-create-camera-noise-profiles-for-darktable/

-DBUILD_NOISE_TOOLS=ON
is the proper cmake flag.

I still have not decided if I will create a darktable-noisetools subpackage or simply rebuild darktable with this new feature.

More infos:
- it pulls in extra dependencies like gnuplot, imagemagick

Comment 1 Germano Massullo 2018-04-25 18:45:00 UTC
For more dependencies informations check
https://github.com/darktable-org/darktable/blob/master/tools/noise/subr.sh

Comment 2 Germano Massullo 2018-07-24 14:04:10 UTC
Almost done, I have just to adjust the missing Requires: foo requirements

Comment 3 Jan Kurik 2018-08-14 11:07:00 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 4 Shawn 2019-03-18 02:14:27 UTC
Please note that this package will not install as it has a requirement for imagemagick where as the proper package name is ImageMagick. Having said that thanks for putting in the effort to package this.

Comment 5 Germano Massullo 2019-04-23 17:17:32 UTC
Fixed in the incoming 2.6.2 update


Note You need to log in before you can comment on or make changes to this bug.